Skip to navigation
Application TokensCreate application token

Create application token

Deprecated
Required permissions Beta Learn more

ApplicationToken + Create +1 endpoint

Roles: Administrator

This call is deprecated and stops working on June 1, 2027.

Please use POST /api/v2/application_token instead. For every change your integration needs, see Migrate to the v2 application token API.

Creates a new application token. ID must not be specified, as it is auto-generated and returned in case of a successful JSON response. You can provide following fields with this request:

  • description (String, optional)
  • expiry_date with optional time + time zone (String, optional)
  • ip - IP Address in CIDR notation (String, optional)

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Request

This endpoint expects an object.
descriptionstringOptional
expiry_datestringOptional
ipstringOptional

Response

Success
application_tokenstringOptional

Errors

403
Forbidden Error
422
Unprocessable Entity Error